Loading...
Searching...
No Matches
Group.h File Reference

Concept check class for variable types with Group properties. More...

Go to the source code of this file.

## Classes

struct | gtsam::group_tag
| tag to assert a type is a group More...
struct | gtsam::multiplicative_group_tag
| Group operator syntax flavors. More...
struct | gtsam::additive_group_tag
class | gtsam::IsGroup< G >
| Group Concept. More...
class | gtsam::DirectProduct
struct | gtsam::traits< DirectProduct< G, H > >
class | gtsam::DirectSum< G, H >
| Template to construct the direct sum of two additive groups Assumes existence of three additive operators for both groups. More...
struct | gtsam::traits< DirectSum< G, H > >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Macros

#define | GTSAM_CONCEPT_GROUP_INST(T)
| Macros for using the IsGroup.
#define | GTSAM_CONCEPT_GROUP_TYPE(T)

## Functions

template<typename G>
| gtsam::BOOST_CONCEPT_REQUIRES (((IsGroup< G >)),(bool)) check_group_invariants(const G &a
| Check invariants.

## Variables

const G & | gtsam::b
const G double | gtsam::tol

## Detailed Description

Concept check class for variable types with Group properties.

Date
  November, 2011

Author
  Alex Cunningham
  Frank Dellaert

## Macro Definition Documentation

## GTSAM_CONCEPT_GROUP_INST

#define GTSAM_CONCEPT_GROUP_INST | ( |  | T | ) |

Value:
template class gtsam::IsGroup<T>;
gtsam::IsGroup
Group Concept.
Definition Group.h:46

Macros for using the IsGroup.

- An instantiation for use inside unit tests
- A typedef for use inside generic algorithms

NOTE: intentionally not in the gtsam namespace to allow for classes not in the gtsam namespace to be more easily enforced as testable

## GTSAM_CONCEPT_GROUP_TYPE

#define GTSAM_CONCEPT_GROUP_TYPE | ( |  | T | ) |

Value:
typedef gtsam::IsGroup<T> _gtsam_IsGroup_##T;